module.exports = function(streetTypeString) {
    let streetType = null;

    switch(streetTypeString.toUpperCase()) {
        case 'ACCS': streetType = 'ACCS'; break;
        case 'ACCESS': streetType = 'ACCS'; break;
        case 'ALLY': streetType = 'ALLY'; break;
        case 'ALLEY': streetType = 'ALLY'; break;
        case 'ALY': streetType = 'ALLY'; break;
        case 'ALWY': streetType = 'ALWY'; break;
        case 'ALLEYWAY': streetType = 'ALWY'; break;
        case 'AMBL': streetType = 'AMBL'; break;
        case 'AMBLE': streetType = 'AMBL'; break;
        case 'ANCG': streetType = 'ANCG'; break;
        case 'ANCHORAGE': streetType = 'ANCG'; break;
        case 'APP': streetType = 'APP'; break;
        case 'APPROACH': streetType = 'APP'; break;
        case 'ARC': streetType = 'ARC'; break;
        case 'ARCADE': streetType = 'ARC'; break;
        case 'ART': streetType = 'ART'; break;
        case 'ARTERY': streetType = 'ART'; break;
        case 'AVE': streetType = 'AVE'; break;
        case 'AVEN': streetType = 'AVE'; break;
        case 'AVENU': streetType = 'AVE'; break;
        case 'AVENUE': streetType = 'AVE'; break;
        case 'AVN': streetType = 'AVE'; break;
        case 'AVNUE': streetType = 'AVE'; break;
        case 'BASN': streetType = 'BASN'; break;
        case 'BASIN': streetType = 'BASN'; break;
        case 'BCH': streetType = 'BCH'; break;
        case 'BEACH': streetType = 'BCH'; break;
        case 'BDGE': streetType = 'BDGE'; break;
        case 'BRIDGE': streetType = 'BDGE'; break;
        case 'BDWY': streetType = 'BDWY'; break;
        case 'BROADWAY': streetType = 'BDWY'; break;
        case 'BEND': streetType = 'BEND'; break;
        case 'BLK': streetType = 'BLK'; break;
        case 'BLOCK': streetType = 'BLK'; break;
        case 'BOWL': streetType = 'BOWL'; break;
        case 'BRAE': streetType = 'BRAE'; break;
        case 'BRCE': streetType = 'BRCE'; break;
        case 'BRACE': streetType = 'BRCE'; break;
        case 'BRK': streetType = 'BRK'; break;
        case 'BROOK': streetType = 'BRK'; break;
        case 'BROW': streetType = 'BROW'; break;
        case 'BVD': streetType = 'BVD'; break;
        case 'BVDE': streetType = 'BVD'; break;
        case 'BOULEVARD': streetType = 'BVD'; break;
        case 'BOULEVARDE': streetType = 'BVD'; break;
        case 'BYPA': streetType = 'BYPA'; break;
        case 'BYPAS': streetType = 'BYPA'; break;
        case 'BYPASS': streetType = 'BYPA'; break;
        case 'BYPS': streetType = 'BYPA'; break;
        case 'BYWY': streetType = 'BYWY'; break;
        case 'BYWAY': streetType = 'BYWY'; break;
        case 'CAUS': streetType = 'CAUS'; break;
        case 'CAUSEWAY': streetType = 'CAUS'; break;
        case 'CCT': streetType = 'CCT'; break;
        case 'CIRCUIT': streetType = 'CCT'; break;
        case 'CDS': streetType = 'CDS'; break;
        case 'CUL DE SAC': streetType = 'CDS'; break;
        case 'CH': streetType = 'CH'; break;
        case 'CHASE': streetType = 'CH'; break;
        case 'CIR': streetType = 'CIR'; break;
        case 'CIRC': streetType = 'CIR'; break;
        case 'CIRCL': streetType = 'CIR'; break;
        case 'CIRCLE': streetType = 'CIR'; break;
        case 'CRCL': streetType = 'CIR'; break;
        case 'CRCLE': streetType = 'CIR'; break;
        case 'CL': streetType = 'CL'; break;
        case 'CLOSE': streetType = 'CL'; break;
        case 'CLDE': streetType = 'CLDE'; break;
        case 'COLONNADE': streetType = 'CLDE'; break;
        case 'CLT': streetType = 'CLT'; break;
        case 'CIRCLET': streetType = 'CLT'; break;
        case 'CMMN': streetType = 'CMMN'; break;
        case 'COMMON': streetType = 'CMMN'; break;
        case 'CNR': streetType = 'CNR'; break;
        case 'CORNER': streetType = 'CNR'; break;
        case 'CNWY': streetType = 'CNWY'; break;
        case 'CENTREWAY': streetType = 'CNWY'; break;
        case 'CENTERWAY': streetType = 'CNWY'; break;
        case 'CON': streetType = 'CON'; break;
        case 'CONCOURSE': streetType = 'CON'; break;
        case 'COVE': streetType = 'COVE'; break;
        case 'COWY': streetType = 'COWY'; break;
        case 'CROSSWAY': streetType = 'COWY'; break;
        case 'CPS': streetType = 'CPS'; break;
        case 'COPSE': streetType = 'CPS'; break;
        case 'CRCS': streetType = 'CRCS'; break;
        case 'CIRCUS': streetType = 'CRCS'; break;
        case 'CRD': streetType = 'CRD'; break;
        case 'CROSSROAD': streetType = 'CRD'; break;
        case 'CRES': streetType = 'CRES'; break;
        case 'CRSENT': streetType = 'CRES'; break;
        case 'CRESCENT': streetType = 'CRES'; break;
        case 'CRSNT': streetType = 'CRES'; break;
        case 'CRSE': streetType = 'CRSE'; break;
        case 'CRSG': streetType = 'CRSG'; break;
        case 'CROSSING': streetType = 'CRSG'; break;
        case 'CRSS': streetType = 'CRSS'; break;
        case 'CROSS': streetType = 'CRSS'; break;
        case 'CRST': streetType = 'CRST'; break;
        case 'CREST': streetType = 'CRST'; break;
        case 'CSO': streetType = 'CSO'; break;
        case 'CORSO': streetType = 'CSO'; break;
        case 'CT': streetType = 'CT'; break;
        case 'CTR': streetType = 'CTR'; break;
        case 'CENT': streetType = 'CTR'; break;
        case 'CENTER': streetType = 'CTR'; break;
        case 'CENTR': streetType = 'CTR'; break;
        case 'CENTRE': streetType = 'CTR'; break;
        case 'CNTER': streetType = 'CTR'; break;
        case 'CNTR': streetType = 'CTR'; break;
        case 'CTTG': streetType = 'CTTG'; break;
        case 'CUTTING': streetType = 'CTTG'; break;
        case 'CTYD': streetType = 'CTYD'; break;
        case 'COURTYARD': streetType = 'CTYD'; break;
        case 'CUWY': streetType = 'CUWY'; break;
        case 'CRUISEWAY': streetType = 'CUWY'; break;
        case 'DALE': streetType = 'DALE'; break;
        case 'DELL': streetType = 'DELL'; break;
        case 'DEVN': streetType = 'DEVN'; break;
        case 'DEVIATION': streetType = 'DEVN'; break;
        case 'DIP': streetType = 'DIP'; break;
        case 'DR': streetType = 'DR'; break;
        case 'DRIV': streetType = 'DR'; break;
        case 'DRIVE': streetType = 'DR'; break;
        case 'DRV': streetType = 'DR'; break;
        case 'DRWY': streetType = 'DRWY'; break;
        case 'DRIVEWAY': streetType = 'DRWY'; break;
        case 'DSTR': streetType = 'DSTR'; break;
        case 'DISTRIBUTOR': streetType = 'DSTR'; break;
        case 'EDGE': streetType = 'EDGE'; break;
        case 'ELB': streetType = 'ELB'; break;
        case 'ELBOW': streetType = 'ELB'; break;
        case 'END': streetType = 'END'; break;
        case 'ENT': streetType = 'ENT'; break;
        case 'ENTRANCE': streetType = 'ENT'; break;
        case 'ESP': streetType = 'ESP'; break;
        case 'ESPLANADE': streetType = 'ESP'; break;
        case 'EST': streetType = 'EST'; break;
        case 'ESTATE': streetType = 'EST'; break;
        case 'EXP': streetType = 'EXP'; break;
        case 'EXPRESSWAY': streetType = 'EXP'; break;
        case 'EXTN': streetType = 'EXTN'; break;
        case 'EXTENSION': streetType = 'EXTN'; break;
        case 'EXTNSN': streetType = 'EXTN'; break;
        case 'FAWY': streetType = 'FAWY'; break;
        case 'FAIRWAY': streetType = 'FAWY'; break;
        case 'FITR': streetType = 'FITR'; break;
        case 'FIRETRAIL': streetType = 'FITR'; break;
        case 'FLAT': streetType = 'FLAT'; break;
        case 'FOLW': streetType = 'FOLW'; break;
        case 'FOLLOW': streetType = 'FOLW'; break;
        case 'FORM': streetType = 'FORM'; break;
        case 'FORMATION': streetType = 'FORM'; break;
        case 'FRNT': streetType = 'FRNT'; break;
        case 'FRONT': streetType = 'FRNT'; break;
        case 'FRTG': streetType = 'FRTG'; break;
        case 'FRONTAGE': streetType = 'FRTG'; break;
        case 'FSHR': streetType = 'FSHR'; break;
        case 'FORESHORE': streetType = 'FSHR'; break;
        case 'FTRK': streetType = 'FTRK'; break;
        case 'FIRE TRACK': streetType = 'FTRK'; break;
        case 'FTWY': streetType = 'FTWY'; break;
        case 'FOOTWAY': streetType = 'FTWY'; break;
        case 'FWY': streetType = 'FWY'; break;
        case 'FREEWY': streetType = 'FWY'; break;
        case 'FRWAY': streetType = 'FWY'; break;
        case 'FRWY': streetType = 'FWY'; break;
        case 'GAP': streetType = 'GAP'; break;
        case 'GDN': streetType = 'GDN'; break;
        case 'GARDN': streetType = 'GDN'; break;
        case 'GRDEN': streetType = 'GDN'; break;
        case 'GRDN': streetType = 'GDN'; break;
        case 'GDNS': streetType = 'GDNS'; break;
        case 'GRDNS': streetType = 'GDNS'; break;
        case 'GLD': streetType = 'GLD'; break;
        case 'GLADE': streetType = 'GLD'; break;
        case 'GLEN': streetType = 'GLEN'; break;
        case 'GLY': streetType = 'GLY'; break;
        case 'GULLY': streetType = 'GLY'; break;
        case 'GR': streetType = 'GR'; break;
        case 'GROVE': streetType = 'GR'; break;
        case 'GRA': streetType = 'GRA'; break;
        case 'GRANGE': streetType = 'GRA'; break;
        case 'GRN': streetType = 'GRN'; break;
        case 'GRND': streetType = 'GRND'; break;
        case 'GROUND': streetType = 'GRND'; break;
        case 'GTE': streetType = 'GTE'; break;
        case 'GATE': streetType = 'GTE'; break;
        case 'GTES': streetType = 'GTES'; break;
        case 'GATES': streetType = 'GTES'; break;
        case 'GTWY': streetType = 'GTWY'; break;
        case 'GATEWY': streetType = 'GTWY'; break;
        case 'GATWAY': streetType = 'GTWY'; break;
        case 'GTWAY': streetType = 'GTWY'; break;
        case 'HETH': streetType = 'HETH'; break;
        case 'HEALTH': streetType = 'HETH'; break;
        case 'HILL': streetType = 'HILL'; break;
        case 'HRD': streetType = 'HRD'; break;
        case 'HIGHROAD': streetType = 'HRD'; break;
        case 'HTS': streetType = 'HTS'; break;
        case 'HUB': streetType = 'HUB'; break;
        case 'HWY': streetType = 'HWY'; break;
        case 'HIGHWAY': streetType = 'HWY'; break;
        case 'HIGHWY': streetType = 'HWY'; break;
        case 'HIWAY': streetType = 'HWY'; break;
        case 'HIWY': streetType = 'HWY'; break;
        case 'HWAY': streetType = 'HWY'; break;
        case 'INLT': streetType = 'INLT'; break;
        case 'INLET': streetType = 'INLT'; break;
        case 'INTG': streetType = 'INTG'; break;
        case 'INTERCHANGE': streetType = 'INTG'; break;
        case 'INTN': streetType = 'INTN'; break;
        case 'INTERSECTION': streetType = 'INTN'; break;
        case 'ISLD': streetType = 'ISLD'; break;
        case 'ISLAND': streetType = 'ISLD'; break;
        case 'JNC': streetType = 'JNC'; break;
        case 'JUNCTION': streetType = 'JNC'; break;
        case 'KEY': streetType = 'KEY'; break;
        case 'LNE': streetType = 'LANE'; break;
        case 'LANE': streetType = 'LANE'; break;
        case 'LN': streetType = 'LANE'; break;
        case 'LDG': streetType = 'LDG'; break;
        case 'LDGE': streetType = 'LDG'; break;
        case 'LODG': streetType = 'LDG'; break;
        case 'LODGE': streetType = 'LDG'; break;
        case 'LEES': streetType = 'LEES'; break;
        case 'LINE': streetType = 'LINE'; break;
        case 'LINK': streetType = 'LINK'; break;
        case 'LKT': streetType = 'LKT'; break;
        case 'LOOKOUT': streetType = 'LKT'; break;
        case 'LNWY': streetType = 'LNWY'; break;
        case 'LANEWAY': streetType = 'LNWY'; break;
        case 'LOOP': streetType = 'LOOP'; break;
        case 'LOOPS': streetType = 'LOOP'; break;
        case 'LT': streetType = 'LT'; break;
        case 'LITTLE': streetType = 'LT'; break;
        case 'LWR': streetType = 'LWR'; break;
        case 'LOWER': streetType = 'LWR'; break;
        case 'MALL': streetType = 'MALL'; break;
        case 'MEW': streetType = 'MEW'; break;
        case 'MEWS': streetType = 'MEWS'; break;
        case 'MNDR': streetType = 'MNDR'; break;
        case 'MEANDER': streetType = 'MNDR'; break;
        case 'MT': streetType = 'MT'; break;
        case 'MOUNT': streetType = 'MT'; break;
        case 'MWY': streetType = 'MWY'; break;
        case 'MOTORWAY': streetType = 'MWY'; break;
        case 'NOOK': streetType = 'NOOK'; break;
        case 'OTLK': streetType = 'OTLK'; break;
        case 'OUTLOOK': streetType = 'OTLK'; break;
        case 'PARK': streetType = 'PARK'; break;
        case 'PRK': streetType = 'PARK'; break;
        case 'PART': streetType = 'PART'; break;
        case 'PASS': streetType = 'PASS'; break;
        case 'PATH': streetType = 'PATH'; break;
        case 'PATHS': streetType = 'PATH'; break;
        case 'PDE': streetType = 'PDE'; break;
        case 'PARADE': streetType = 'PDE'; break;
        case 'PHWY': streetType = 'PHWY'; break;
        case 'PIAZ': streetType = 'PIAZ'; break;
        case 'PIAZZA': streetType = 'PIAZ'; break;
        case 'PKLD': streetType = 'PKLD'; break;
        case 'PARKLANDS': streetType = 'PKLD'; break;
        case 'PKT': streetType = 'PKT'; break;
        case 'POCKET': streetType = 'PKT'; break;
        case 'PKWY': streetType = 'PKWY'; break;
        case 'PKWYS': streetType = 'PKWY'; break;
        case 'PL': streetType = 'PL'; break;
        case 'PLACE': streetType = 'PL'; break;
        case 'PLAT': streetType = 'PLAT'; break;
        case 'PLATEAU': streetType = 'PLAT'; break;
        case 'PLZA': streetType = 'PLZA'; break;
        case 'PLZ': streetType = 'PLZA'; break;
        case 'PNT': streetType = 'PNT'; break;
        case 'POINT': streetType = 'PNT'; break;
        case 'PORT': streetType = 'PORT'; break;
        case 'PROM': streetType = 'PROM'; break;
        case 'PROMENADE': streetType = 'PROM'; break;
        case 'PRST': streetType = 'PRST'; break;
        case 'PURSUIT': streetType = 'PRST'; break;
        case 'PSGE': streetType = 'PSGE'; break;
        case 'PASSAGE': streetType = 'PSGE'; break;
        case 'QDGL': streetType = 'QDGL'; break;
        case 'QUADRANGLE': streetType = 'QDGL'; break;
        case 'QDRT': streetType = 'QDRT'; break;
        case 'QUADRANT': streetType = 'QDRT'; break;
        case 'QUAD': streetType = 'QUAD'; break;
        case 'QY': streetType = 'QY'; break;
        case 'QUAY': streetType = 'QY'; break;
        case 'QYS': streetType = 'QYS'; break;
        case 'QUAYS': streetType = 'QYS'; break;
        case 'RAMP': streetType = 'RAMP'; break;
        case 'RCH': streetType = 'RCH'; break;
        case 'REACH': streetType = 'RCH'; break;
        case 'RD': streetType = 'RD'; break;
        case 'ROAD': streetType = 'RD'; break;
        case 'RDGE': streetType = 'RDGE'; break;
        case 'RIDGE': streetType = 'RDGE'; break;
        case 'RDS': streetType = 'RDS'; break;
        case 'RDSD': streetType = 'RDSD'; break;
        case 'RDWY': streetType = 'RDWY'; break;
        case 'ROADWAY': streetType = 'RDWY'; break;
        case 'RES': streetType = 'RES'; break;
        case 'RESERVE': streetType = 'RES'; break;
        case 'REST': streetType = 'REST'; break;
        case 'RGWY': streetType = 'RGWY'; break;
        case 'RIDGEWAY': streetType = 'RGWY'; break;
        case 'RING': streetType = 'RING'; break;
        case 'RISE': streetType = 'RISE'; break;
        case 'RMBL': streetType = 'RMBL'; break;
        case 'RAMBLE': streetType = 'RMBL'; break;
        case 'RND': streetType = 'RND'; break;
        case 'ROUND': streetType = 'RND'; break;
        case 'RNDE': streetType = 'RNDE'; break;
        case 'RONDE': streetType = 'RNDE'; break;
        case 'RNGE': streetType = 'RNGE'; break;
        case 'RANGE': streetType = 'RNGE'; break;
        case 'ROW': streetType = 'ROW'; break;
        case 'ROWY': streetType = 'ROWY'; break;
        case 'RIGHT OF WAY': streetType = 'ROWY'; break;
        case 'RSBL': streetType = 'RSBL'; break;
        case 'ROSEBOWL': streetType = 'RSBL'; break;
        case 'RTE': streetType = 'RTE'; break;
        case 'ROUTE': streetType = 'RTE'; break;
        case 'RTRN': streetType = 'RTRN'; break;
        case 'RETURN': streetType = 'RTRN'; break;
        case 'RTT': streetType = 'RTT'; break;
        case 'RETREAT': streetType = 'RTT'; break;
        case 'RTY': streetType = 'RTY'; break;
        case 'ROTARY': streetType = 'RTY'; break;
        case 'RUE': streetType = 'RUE'; break;
        case 'RUN': streetType = 'RUN'; break;
        case 'RVR': streetType = 'RVR'; break;
        case 'RIVER': streetType = 'RVR'; break;
        case 'RIVR': streetType = 'RVR'; break;
        case 'RVRA': streetType = 'RVRA'; break;
        case 'RIVIERA': streetType = 'RVRA'; break;
        case 'RVWY': streetType = 'RVWY'; break;
        case 'RIVERWAY': streetType = 'RVWY'; break;
        case 'SBWY': streetType = 'SBWY'; break;
        case 'SUBWAY': streetType = 'SBWY'; break;
        case 'SDNG': streetType = 'SDNG'; break;
        case 'SIDING': streetType = 'SDNG'; break;
        case 'SHWY': streetType = 'SHWY'; break;
        case 'STATE HIGHWAY': streetType = 'SHWY'; break;
        case 'SLPE': streetType = 'SLPE'; break;
        case 'SLOPE': streetType = 'SLPE'; break;
        case 'SND': streetType = 'SND'; break;
        case 'SOUND': streetType = 'SND'; break;
        case 'SPUR': streetType = 'SPUR'; break;
        case 'SQ': streetType = 'SQ'; break;
        case 'SQR': streetType = 'SQ'; break;
        case 'SQRE': streetType = 'SQ'; break;
        case 'SQU': streetType = 'SQ'; break;
        case 'SQUARE': streetType = 'SQ'; break;
        case 'ST': streetType = 'ST'; break;
        case 'STRT': streetType = 'ST'; break;
        case 'STREET': streetType = 'ST'; break;
        case 'STR': streetType = 'ST'; break;
        case 'STPS': streetType = 'STPS'; break;
        case 'STEPS': streetType = 'STPS'; break;
        case 'STRA': streetType = 'STRA'; break;
        case 'STRAV': streetType = 'STRA'; break;
        case 'STRAVEN': streetType = 'STRA'; break;
        case 'STRAVENUE': streetType = 'STRA'; break;
        case 'STRAVN': streetType = 'STRA'; break;
        case 'STRVN': streetType = 'STRA'; break;
        case 'STRVNUE': streetType = 'STRA'; break;
        case 'STRP': streetType = 'STRP'; break;
        case 'STRIP': streetType = 'STRP'; break;
        case 'STRS': streetType = 'STRS'; break;
        case 'STAIRS': streetType = 'STRS'; break;
        case 'SWY': streetType = 'SWY'; break;
        case 'SERVICE WAY': streetType = 'SWY'; break;
        case 'TARN': streetType = 'TARN'; break;
        case 'TCE': streetType = 'TCE'; break;
        case 'TERRACE': streetType = 'TCE'; break;
        case 'THOR': streetType = 'THOR'; break;
        case 'THOROUGHFARE': streetType = 'THOR'; break;
        case 'TFARE': streetType = 'THOR'; break;
        case 'TKWY': streetType = 'TKWY'; break;
        case 'TRUNKWAY': streetType = 'TKWY'; break;
        case 'TLWY': streetType = 'TLWY'; break;
        case 'TOLLWAY': streetType = 'TLWY'; break;
        case 'TOP': streetType = 'TOP'; break;
        case 'TOR': streetType = 'TOR'; break;
        case 'TRI': streetType = 'TRI'; break;
        case 'TRIANGLE': streetType = 'TRI'; break;
        case 'TRK': streetType = 'TRK'; break;
        case 'TRACKS': streetType = 'TRK'; break;
        case 'TRAK': streetType = 'TRK'; break;
        case 'TRKS': streetType = 'TRK'; break;
        case 'TRL': streetType = 'TRL'; break;
        case 'TRAILS': streetType = 'TRL'; break;
        case 'TRLS': streetType = 'TRL'; break;
        case 'TRLR': streetType = 'TRLR'; break;
        case 'TRLRS': streetType = 'TRLR'; break;
        case 'TURN': streetType = 'TURN'; break;
        case 'TWRS': streetType = 'TWRS'; break;
        case 'TOWERS': streetType = 'TWRS'; break;
        case 'UPAS': streetType = 'UPAS'; break;
        case 'UNDERPASS': streetType = 'UPAS'; break;
        case 'UPR': streetType = 'UPR'; break;
        case 'UPPER': streetType = 'UPR'; break;
        case 'VALE': streetType = 'VALE'; break;
        case 'VDCT': streetType = 'VDCT'; break;
        case 'VIADUCT': streetType = 'VDCT'; break;
        case 'VIEW': streetType = 'VIEW'; break;
        case 'VLL': streetType = 'VLL'; break;
        case 'VILLA': streetType = 'VLL'; break;
        case 'VLLS': streetType = 'VLLS'; break;
        case 'VILLAS': streetType = 'VLLS'; break;
        case 'VSTA': streetType = 'VSTA'; break;
        case 'VIST': streetType = 'VSTA'; break;
        case 'VISTA': streetType = 'VSTA'; break;
        case 'VST': streetType = 'VSTA'; break;
        case 'WADE': streetType = 'WADE'; break;
        case 'WALK': streetType = 'WALK'; break;
        case 'WAY': streetType = 'WAY'; break;
        case 'WHRF': streetType = 'WHRF'; break;
        case 'WHARF': streetType = 'WHRF'; break;
        case 'WKWY': streetType = 'WKWY'; break;
        case 'WALKWAY': streetType = 'WKWY'; break;
        case 'WOOD': streetType = 'WOOD'; break;
        case 'WTRS': streetType = 'WTRS'; break;
        case 'WATERS': streetType = 'WTRS'; break;
        case 'WYND': streetType = 'WYND'; break;
        case 'YARD': streetType = 'YARD'; break;
        case 'YD': streetType = 'YARD'; break;
    }

    return streetType;
};