let MojoNodeModule = require('../index');

let configurationManager = new MojoNodeModule.configurationManager();
let sqlHelper = new MojoNodeModule.sqlHelper(configurationManager);

sqlHelper.setup('mojo-ro-rds-read-only', null)
.then(() => {
    sqlHelper.runQuery(`select 1, 'a' union select 2, 'b'`, [])
        .then((rows) => {
            console.log(rows);
            sqlHelper.tearDown()
            .then(() => {
                console.log('done tearing it down');
            });
        })
        .catch((err) => {
            console.log(err);
            sqlHelper.tearDown()
            .then(() => {
                console.log('done tearing it down');
            });
        });
})
.catch((err) => {
    console.log(err);
    sqlHelper.tearDown()
    .then(() => {
        console.log('done tearing it down');
    });
});