let MojoNodeModule = require('../index');

let cryptHelper = new MojoNodeModule.cryptHelper();
let testText = MojoNodeModule.utilHelper.uuidGenerator();

cryptHelper.encryptObject(testText, 'alias/mojo-bdas', function(err, secretText){
    if(err) {
        console.log(err);
    } else {
        console.log(`Original Text: ${testText}`);
        console.log(`Secret Text: ${secretText.toString('base64')}`);
        cryptHelper.decryptObject(secretText, function(err, plainText){
            if(err) {
                console.log(err);
            } else {
                
                console.log(`Decrypted Text: ${plainText}`);
            }
        });
    }
});
